/*-----------------------------------------------------------------------------
  OVR 
*/

#ifndef OVR_H
#define OVR_H

#ifdef OVR_ALLOCATE
#define EXTERN
#else
#define EXTERN extern
#endif

EXTERN int ovr_first_time;
/* Local variables    */
/*The default width and height are set after first XtManagedChild call*/
EXTERN SINT2 iovr_defl_width_c;   
EXTERN SINT2 iovr_defl_height_c;

/* Widget & callbacks */
EXTERN Widget ovr_mainbar;
EXTERN Widget ovr_filebtn, ovr_filepdw;
EXTERN Widget ovr_menubtn, ovr_menupdw;
EXTERN Widget ovr_cmdsbtn, ovr_cmdspdw;
EXTERN Widget ovr_helpbtn, ovr_helppdw;
EXTERN Widget ovr_printpdw;
void   ovr_file_cbf();
void   ovr_menu_cbf();
void   ovr_cmds_cbf();
void   ovr_svaspop_ok_cbf();   
void   ovr_svaspop_help_cbf();   
void   ovr_dele_entry_cbf();   

EXTERN Widget ovr_overlab;
EXTERN Widget ovr_overlst;
void   ovr_update_rqst(void);
void   ovr_overlist( char *sptr_a, UINT4 ilen_a );
void   ovr_overlst_cbf( Widget wgt, char* tag, XmListCallbackStruct* cbd );

void   ovr_postit();
EXTERN Widget ovr_siteshl;
void   ovr_sitebtn_cbf( );


#undef EXTERN
#endif
